Loading...
Searching...
No Matches
ranges::views::addressof_fn Struct Reference
Inheritance diagram for ranges::views::addressof_fn:

## Public Member Functions

template<typename Rng > requires viewable_range<Rng> && input_range<Rng> && std::is_lvalue_reference<range_reference_t<Rng>>
::value constexpr auto | operator() (Rng &&rng) const CPP_AUTO_FUN_RETURNS_CONST_0(return transform(all(static_cast< Rng && >(rng))

## Related Symbols

(Note that these are not member symbols.)
constexpr view_closure< addressof_fn > | addressof {}